import {select, arc ,zoom, event, scaleOrdinal, 
        schemeCategory10,
        schemeReds} from 'd3';

import {ProcessData} from './ProcessData';
import {DrawCircleState} from './DrawCircleState';

// CONSTANTS
const SVG = {
      "width" : 800, 
      "height": 400,
      "pad"   : 60
}

const CircleState = {r: 100};
// SVG INIT
const svg = d3.select("#TransformationMap").append("svg")
      .attr("height", SVG.height)
      .attr("width", SVG.width);

const TransMap = {"x": SVG.pad, "y": SVG.pad, "w": SVG.width-SVG.pad, "h":SVG.height-SVG.pad}


//TODO: Zoom not working
//function zoomed() { svg.attr('transform', d3.event.transform);}
//svg.call(zoom().on('zoom', () => {g.attr('transform', event.transform)	}));

// TRANSMAP
const gTransMap = svg.append("g").attr("id", "TransMap");



gTransMap  .attr('transform', `translate(${TransMap.x},${TransMap.y})`);

const gTransGraph = gTransMap.append('g').attr('id', 'TransGraph');
gTransGraph
  .append("rect").attr("width", TransMap.w).attr("height", TransMap.h);
gTransGraph.append('circle').attr('r', 20).attr('fill', 'red');




const gCircleCurrentState=gTransGraph.append("g").attr("id", "CircleCurrentState");

gCircleCurrentState	.call(DrawCircleState,{Name: "Current",                      Radius : CircleState.r										}     );
gCircleCurrentState.attr('transform', `translate(${0},${TransMap.h})`);

const gCircleFutureState=gTransMap.append("g").attr("id", "CircleFutureState");

// gCircleFutureState.attr('transform', `translate(${0},${TransMap.h})`);

// gCircleFutureState	.call(DrawCircleState,{Name: "Future",                      Radius : CircleState.r										}                          );
// gCircleFutureState.attr('transform', `translate(${TransMap.w}, ${0})`);

